function [out1,j_out1,h_out1] = sys_823dfbb44110c06442b2049e60f559f4(in1,in2,in3)
%SYS_823DFBB44110C06442B2049E60F559F4
%    [OUT1,J_OUT1,H_OUT1] = SYS_823DFBB44110C06442B2049E60F559F4(IN1,IN2,IN3)

%    This function was generated by the Symbolic Math Toolbox version 8.0.
%    11-Dec-2020 16:07:35

in2val2 = in2(2,:);
in2val4 = in2(4,:);
in3val1 = in3(1,:);
in3val2 = in3(2,:);
out1 = [-sqrt(in2val2.^2+in2val4.^2)-3.0;sqrt(in2val2.^2+in2val4.^2)-3.0;-sqrt(in3val1.^2+in3val2.^2)+3.0;sqrt(in3val1.^2+in3val2.^2)-3.0];
if nargout > 1
    j_out1 = reshape([0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,-in2val2.*1.0./sqrt(in2val2.^2+in2val4.^2),in2val2.*1.0./sqrt(in2val2.^2+in2val4.^2),0.0,0.0,0.0,0.0,0.0,0.0,-in2val4.*1.0./sqrt(in2val2.^2+in2val4.^2),in2val4.*1.0./sqrt(in2val2.^2+in2val4.^2),0.0,0.0,0.0,0.0,-in3val1.*1.0./sqrt(in3val1.^2+in3val2.^2),in3val1.*1.0./sqrt(in3val1.^2+in3val2.^2),0.0,0.0,-in3val2.*1.0./sqrt(in3val1.^2+in3val2.^2),in3val2.*1.0./sqrt(in3val1.^2+in3val2.^2)],[4,10]);
end
if nargout > 2
    h_out1 = zeros(0,0);
end

end
